org.apache.ignite.cache.query.annotations

## Annotation Type QueryGroupIndex

    @Retention(value=RUNTIME)
     @Target(value=TYPE)
    public @interface QueryGroupIndex

Describes group index.

### Required Element Summary

Required Elements
`String` `name` Group index name.

### Optional Element Summary

Optional Elements
`int` `inlineSize` Index inline size in bytes.

### Element Detail

#### name

    public abstract String name

Group index name.

Returns:
  Name.

#### inlineSize

    public abstract int inlineSize

Index inline size in bytes. When enabled part of indexed value will be placed directly to index pages, thus minimizing data page accesses, thus increasing query performance.

Allowed values:

- `-1` (default) - determine inline size automatically (see below)
- `0` - index inline is disabled (not recommended)
- positive value - fixed index inline

When set to `-1`, Ignite will try to detect inline size automatically. It will be no more than `CacheConfiguration.getSqlIndexMaxInlineSize()`. Index inline will be enabled for all fixed-length types, but will not be enabled for `String`.

Returns:
  Index inline size in bytes.

Default:
  -1

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019